Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 586053 - RFE: create xml-rpc API for kickstart trees
Summary: RFE: create xml-rpc API for kickstart trees
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Network
Classification: Retired
Component: RHN/API
Version: rhn520
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Stephen Herr
QA Contact: Red Hat Network Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 578256 rhn-522
TreeView+ depends on / blocked
 
Reported: 2010-04-26 17:55 UTC by Daniel Mach
Modified: 2010-07-19 14:28 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-20 20:29:28 UTC


Attachments (Terms of Use)

Description Daniel Mach 2010-04-26 17:55:50 UTC
RCM has to insert KS trees data directly into the database on webqa and ask IT to do in on stage and prod.

Is it feasible to add an xml-rpc API?

This is how I imagine the workflow:
1) RCM stages files for KS trees
2) IT synces files to RHN under /pub/rhn/kickstart
3) RCM updates db by calling a rpc method (arguments similar to add-kstree.pl's arguments)

Comment 1 Stephen Herr 2010-07-19 14:28:38 UTC
Sorry, should have added more details. There is a tool in rhn-content-mgmt that implements this functionality called rhn-manage-ks-tree.


Note You need to log in before you can comment on or make changes to this bug.